package com.staffing.custom.service;

import java.util.List;

import com.staffing.common.core.domain.AjaxResult;
import com.staffing.custom.domain.StTaskSign;

/**
 * 签到Service接口
 * 
 * @author staffing
 * @date 2024-08-27
 */
public interface IStTaskSignService 
{
    /**
     * 查询签到
     * 
     * @param id 签到主键
     * @return 签到
     */
    public StTaskSign selectStTaskSignById(Long id);

    /**
     * 查询签到列表
     * 
     * @param stTaskSign 签到
     * @return 签到集合
     */
    public List<StTaskSign> selectStTaskSignList(StTaskSign stTaskSign);

    List<StTaskSign> selectStTaskSignByTaskIds(Long taskId);

    AjaxResult baoming(StTaskSign taskSign);
    /**
     * 新增签到
     * 
     * @param stTaskSign 签到
     * @return 结果
     */
    public int insertStTaskSign(StTaskSign stTaskSign);

    /**
     * 修改签到
     * 
     * @param stTaskSign 签到
     * @return 结果
     */
    public int updateStTaskSign(StTaskSign stTaskSign);
    int updateStTaskSignByTaskIdAndEmId(StTaskSign stTaskSign);

    int signUp(StTaskSign stTaskSign);
    /**
     * 批量删除签到
     * 
     * @param ids 需要删除的签到主键集合
     * @return 结果
     */
    public int deleteStTaskSignByIds(Long[] ids);

    /**
     * 删除签到信息
     * 
     * @param id 签到主键
     * @return 结果
     */
    public int deleteStTaskSignById(Long id);
}
